from django.urls import path
from rest_framework.urlpatterns import format_suffix_patterns

from . import views

urlpatterns = format_suffix_patterns([
    path("apartaments/", views.ApartamentViewSet.as_view({'get': 'list'})),
    path("apartament/<int:pk>/", views.ApartamentViewSet.as_view({'get': 'retrieve'})),
    # TODO: доработать
    path("apartaments/comparison/", views.ApartamentGetManyViewSet.as_view({'get': 'retrieve'})), # пример: apartaments/comparison/?user_id=1 user_id - id пользователя
    path("apartaments/favorite/", views.ApartamentGetManyViewSet.as_view({'get': 'list'})),
])
